# std::discard_block_engine<Engine,P,R>::base

From cppreference.com
< cpp‎ | numeric‎ | random‎ | discard block engine

const Engine& base() const noexcept; |  | (since C++11)

Returns the underlying engine.

### Parameters

(none)

### Return value

The underlying engine.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/discard_block_engine/base&oldid=132155"